aboutsummaryrefslogtreecommitdiffstats
path: root/test/e2e/beta/run-all.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/e2e/beta/run-all.sh')
-rwxr-xr-xtest/e2e/beta/run-all.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/e2e/beta/run-all.sh b/test/e2e/beta/run-all.sh
new file mode 100755
index 000000000..5916d5614
--- /dev/null
+++ b/test/e2e/beta/run-all.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+set -e
+set -u
+set -o pipefail
+
+export PATH="$PATH:./node_modules/.bin"
+
+shell-parallel -s 'npm run ganache:start' -x 'sleep 5 && mocha test/e2e/beta/metamask-beta-ui.spec'
+shell-parallel -s 'npm run ganache:start' -x 'sleep 5 && mocha test/e2e/beta/from-import-beta-ui.spec'